API Endpoints
Force stop a task
Use this endpoint to stop to an active task session.
POST
/
tasks
/
{session_id}
/
command
Stop a running task any time.
curl --request POST \
--url https://browser.ai/api/v1/tasks/{session_id}/command \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "stop"
}
'import requests
url = "https://browser.ai/api/v1/tasks/{session_id}/command"
payload = { "command": "stop" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: 'stop'})
};
fetch('https://browser.ai/api/v1/tasks/{session_id}/command', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Task stopped successfully"
}{
"error": "Invalid command or task ID"
}{
"error": "Unauthorized"
}{
"error": "Task not found"
}{
"error": "Internal server error"
}Authorizations
Insert API token, use the format: apikey <API-TOKEN>.
Path Parameters
Insert your task’s session ID located in your Projects dashboard.
Body
application/json
The command to send to the task. Currently only 'stop' is supported.
Available options:
stop Response
Command accepted and processed
Previous
Add task instructionsAdd (append) instructions to an existing task. For example: provide an OTP code after initiating a login task.
Next
⌘I
Stop a running task any time.
